## RBURIDialog RBURIDialog — simple URI entry dialog |

## Functions

GtkWidget * | rb_uri_dialog_new ()

## Properties

gchar * | label | Read / Write / Construct Only

## Signals

void | location-added | Run Last

## Types and Values

struct | RBURIDialog
struct | RBURIDialogClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── RBURIDialog

## Implemented Interfaces

RBURIDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <rb-uri-dialog.h>

## Description

A simple dialog used to request a single URI from the user.

## Functions

### rb_uri_dialog_new ()

    GtkWidget *
    rb_uri_dialog_new (const char *title,
                       const char *label);

Creates a URI entry dialog.

#### Parameters

title | Window title for the dialog |
label | Label to display in the dialog |

#### Returns

URI dialog instance.

## Types and Values

### struct RBURIDialog

    struct RBURIDialog;

### struct RBURIDialogClass

    struct RBURIDialogClass {
    	GtkDialogClass parent_class;

            void (*location_added) (RBURIDialog *dialog,
    				const char  *uri);
    };

## Property Details

### The `“label”` property

      “label”                    gchar *

The label displayed in the dialog.

Flags: Read / Write / Construct Only

Default value: ""

## Signal Details

### The `“location-added”` signal

    void
    user_function (RBURIDialog *dialog,
                   gchar       *uri,
                   gpointer     user_data)

Emitted when the user has entered a URI into the dialog.

#### Parameters

dialog | the RBURIDialog |
uri | URI entered |
user_data | user data set when the signal handler was connected. |

Flags: Run Last